Subject: Re: bug#52994: 29.0.50; Help descriptions from menu bar items don't appear in the echo area

From: Daniel Martín <[email-masked]>
Date: Thu, 20 Jan 2022 14:20:34 +0100

Alan Third <[email-masked]> writes:

> On 20 January 2022 10:16:01 GMT, Lars Ingebrigtsen <[email-masked]> wrote:
>>Alan Third <[email-masked]> writes:
>>
>>> I was under the impression that the help text appears in a tooltip. We
>>> had a recent bug report where the wrong text was sometimes appearing
>>> in the tooltip, but that should be fixed now, at least on master.
>>>
>>> I'd be surprised if there's no tooltip at all or the tooltip is empty,
>>> it's a function provided by the toolkit.
>>
>>Do you mean on Macos or Debian?  In Macos, I'm getting no tooltips when
>>using the menu.  (And I'd be surprised to be getting them, really,
>>because the Macos menus are separated from the Emacs frame.)
>
> Oh, sorry, I totally misread this and thought it was about the toolbar.
>
> You're right, I don't expect tooltips to appear for menu items and I'm not sure whether it's even possible to update the Emacs frame while the menus are open.

The "Mac port" is able to show the help description in the echo area
when you point on an item in the menu bar.  It'd be interesting to see
how it does it and if we could implement the same approach.